Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookBooking payments. Both planned, partially paid and paid.
iduuidUnique identifier
provider_idtext | nullcreated_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
amountintegerTotal amount of the payment
completed_attimestamp with time zone | nullTimestamp at which the payment was completed
currencyCurrencyCurrency of the payment
due_attimestamp with time zoneTimestamp at which the payment is due
ftstsvectornotification_sent_attimestamp with time zone | nullTimestamp at which the guest was notified of the payment being due
offlinebooleanpaidintegerAmount of the payment that was paid
referencetextstatustextJSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"provider_id": "",
"created_at": "2026-03-12T05:24:09.754Z",
"updated_at": "2026-03-12T05:24:09.754Z",
"amount": 0,
"completed_at": "2026-03-12T05:24:09.754Z",
"currency": "USD",
"due_at": "2026-03-12T05:24:09.754Z",
"notification_sent_at": "2026-03-12T05:24:09.754Z",
"offline": false,
"paid": 0,
"reference": "",
"status": ""
}idFilter<uuid>Unique identifier
provider_idFilter<text | null>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Total amount of the payment
completed_atFilter<timestamp with time zone | null>Timestamp at which the payment was completed
currencyFilter<Currency>Currency of the payment
due_atFilter<timestamp with time zone>Timestamp at which the payment is due
ftsFilter<tsvector>notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the guest was notified of the payment being due
offlineFilter<boolean>paidFilter<integer>Amount of the payment that was paid
referenceFilter<text>statusFilter<text>200A list of payments with the selected columns
206Partial Content
GET /paymentscurl -X GET "https://api.bookingmood.com/v1/payments?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Payment> | Array<Partial<Payment>>201The newly created payments with the selected columns
POST /paymentscurl -X POST "https://api.bookingmood.com/v1/payments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
provider_idFilter<text | null>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Total amount of the payment
completed_atFilter<timestamp with time zone | null>Timestamp at which the payment was completed
currencyFilter<Currency>Currency of the payment
due_atFilter<timestamp with time zone>Timestamp at which the payment is due
ftsFilter<tsvector>notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the guest was notified of the payment being due
offlineFilter<boolean>paidFilter<integer>Amount of the payment that was paid
referenceFilter<text>statusFilter<text>204The deleted payments with the selected columns
DELETE /paymentscurl -X DELETE "https://api.bookingmood.com/v1/payments" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
provider_idFilter<text | null>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Total amount of the payment
completed_atFilter<timestamp with time zone | null>Timestamp at which the payment was completed
currencyFilter<Currency>Currency of the payment
due_atFilter<timestamp with time zone>Timestamp at which the payment is due
ftsFilter<tsvector>notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the guest was notified of the payment being due
offlineFilter<boolean>paidFilter<integer>Amount of the payment that was paid
referenceFilter<text>statusFilter<text>Partial<Payment>204The updated payments with the selected columns
PATCH /paymentscurl -X PATCH "https://api.bookingmood.com/v1/payments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'